Description

Hello,

I am using Wave 13 data for my analysis and have been looking to create household or HRP specific variables as part of this (using

the xwave file to link individuals and their households, whilst allowing for additional waves to be added for later analysis). However,

during this process I have noticed some inconsistencies where some ~4000 households seem to have children listed as their HRP in

the household level data rather than an adult. I noticed this when creating a flag variable to more easily identify HRPs which provided

value of 1 when the pidp of an individual matched the identifier for the HRP of the household (using the hrpid variable). Other

household variables (notably hidp) are otherwise consistent between individuals within each household.

I also wished to check that my approach to correcting this potential error was correct for the dataset. I have derived a new HRP

identifier which first identifies who in each household owns/rents the property the household is in (using both the rentp and hsowr1

variables and looking to see if these variables matched the pno of each individual in the household) and then, if multiple people are

responsible, assumed the oldest of them was responsible (which seemed to follow the logic listed on the UKHLS website for the

hrpid variable). In cases where multiple people are responsible and the same age, I assumed the first person listed (using pno

values) was appropriate. In addition, for households where no individuals are listed as responsible (or where this person did not

complete the individual questionnaire), I assumed that the first adult who completed the individual questionnaire was the HRP for

their household.

Any feedback on this potential issue would be greatly appreciated and many thanks for your help!

Dan Pinhay

History

#1 - 02/21/2025 05:42 PM - Understanding Society  User Support Team

- Status changed from New to In Progress

- Private changed from Yes to No

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can. We aim to respond to

simple queries within 48 hours and more complex issues within 7 working days.

#2 - 02/24/2025 02:44 PM - Understanding Society  User Support Team

- % Done changed from 0 to 80

Hi Dan,

I've checked this, and you're right—the HRPID variable is incorrect in some waves. Before we have a chance to investigate and correct it properly, I'd

advise using HRPNO instead, which appears to be correct.

Best wishes,

Piotr Marzec

UKHLS User Support

#3 - 02/24/2025 03:36 PM - Understanding Society  User Support Team

- Status changed from In Progress to Feedback

#4 - 02/28/2025 02:58 PM - Daniel Pinhay

Hi Piotr,

Thank you so much for your help and the suggestion of using HRPNO instead. It seems to be correct and is significantly easier than what I proposed.
Thanks again,

Dan

#5 - 03/02/2025 07:25 PM - Understanding Society  User Support Team

Hi Dan,

You're welcome!

Best wishes,

Piotr
